Bug 672796 - Testing of lvm2 needs option for using real /dev
Testing of lvm2 needs option for using real /dev
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Rockai
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-01-26 07:33 EST by Zdenek Kabelac
Modified: 2011-02-09 12:59 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-02-09 12:59:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2011-01-26 07:33:27 EST
Description of problem:

It would be nice to have some way to specify running internal test suite
of lvm2 over the real /dev directory.
Some udev related problem could not be revealed with our current virtual
/dev dir.

maybe something like  

make REAL_DEV=1 check
and symlinking dev to /dev
could be a way - but cleanup routine might need some extra care then.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Alasdair Kergon 2011-01-26 18:51:47 EST
Totally disagree:)

If the problem is udev interaction, use some udev configuration that updates the private /dev area as required.  (Even chroot if necessary)
Comment 2 Zdenek Kabelac 2011-01-27 04:34:33 EST
As a long term goal, we may probably get some help from udev for this kind of operation - at this moment the only purpose of this would be, to test locally as a developer on a life system the interaction with real /dev and udev - with all related problems like unstable uncontrollable environment.
Comment 3 Peter Rajnoha 2011-01-27 04:59:38 EST
I don't think people from udev will ever be willing to support something like this (using a customized additional dev dir). So I'm voting for Zdenek's proposal. Its real main purpose is for us to test the changes properly before we do a release. I wouldn't complicate this if that's not really needed... :)
Comment 4 Petr Rockai 2011-02-09 12:59:19 EST
I think it is reasonable to allow an override here, it is the responsibility of whoever overrides this to something dangerous (like real /dev) to bear the consequences. I have checked in an envvar-based override (like we have with other optional behaviours of the test suite), using LVM_TEST_DEVDIR.

Note You need to log in before you can comment on or make changes to this bug.